package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlInitbuildB;
import com.dhcc.finance.main.domain.CwGlInitbuildBExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwGlInitbuildBMapper {

	long countByExample(CwGlInitbuildBExample example);

	int deleteByExample(CwGlInitbuildBExample example);

	int deleteByPrimaryKey(String pkInitbuildB);

	int insert(CwGlInitbuildB record);

	int insertSelective(CwGlInitbuildB record);

	List<CwGlInitbuildB> selectByExample(CwGlInitbuildBExample example);

	CwGlInitbuildB selectByPrimaryKey(String pkInitbuildB);

	int updateByExampleSelective(@Param("record") CwGlInitbuildB record,
			@Param("example") CwGlInitbuildBExample example);

	int updateByExample(@Param("record") CwGlInitbuildB record, @Param("example") CwGlInitbuildBExample example);

	int updateByPrimaryKeySelective(CwGlInitbuildB record);

	int updateByPrimaryKey(CwGlInitbuildB record);
   
}